curl --request POST \
--url https://app.solya.app/api/supplier-variant-constraints \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"brandId": null,
"familyId": null,
"maxQuantity": null,
"moq": 12,
"packMultiple": null,
"productId": null,
"supplierId": "supplier-uuid-123",
"variantId": "variant-uuid-abc"
}
'import requests
url = "https://app.solya.app/api/supplier-variant-constraints"
payload = {
"brandId": None,
"familyId": None,
"maxQuantity": None,
"moq": 12,
"packMultiple": None,
"productId": None,
"supplierId": "supplier-uuid-123",
"variantId": "variant-uuid-abc"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
brandId: null,
familyId: null,
maxQuantity: null,
moq: 12,
packMultiple: null,
productId: null,
supplierId: 'supplier-uuid-123',
variantId: 'variant-uuid-abc'
})
};
fetch('https://app.solya.app/api/supplier-variant-constraints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"brandId": null,
"createdAt": "2026-06-05T10:00:00.000Z",
"familyId": null,
"id": "constraint-uuid-new",
"maxQuantity": null,
"moq": 12,
"packMultiple": null,
"productId": null,
"supplierId": "supplier-uuid-123",
"updatedAt": null,
"variantId": "variant-uuid-abc"
}Create a new supplier-variant constraint
Creates a supplier constraint in the caller’s organization. The constraint scope is defined by any combination of variantId, productId, familyId, and/or brandId (none = applies to every line for the supplier); the resulting scope signature must be unique — attempting to create a duplicate returns a 409-class error with code SUPPLIER_VARIANT_CONSTRAINT_DUPLICATE. At least one of moq, packMultiple, or maxQuantity must be provided (not null). The integer fields moq, packMultiple, and maxQuantity accept a number or a numeric string (e.g. "12") for form-field compatibility; the response always returns numbers for these fields. Requires intelligenceLayer.configure permission.
Authorizations
User session token issued by NextAuth. For human users accessing Solya via the web application.

